//=============================================================================
// Atmega8 USB CDC Test
// by nexp76@naver.com
//=============================================================================
#include "system.h"

#include "oddebug.h"
#include "usbdrv.h"
#include "task_usb.h"


void usb_cdc_rcv(uchar *data, uchar len);

//-----------------------------------------------------------------------------
// USB CDC Read function
void usb_cdc_rcv(uchar *data, uchar len)
{
	if(len)
	{
		switch(data[0])
		{
			case '1':
				Led1On();
				break;
			
			case '2':
				Led1Off();
				break;

			case '3':
				Led2On();
				break;
			
			case '4':
				Led2Off();
				break;
		}
	}
}
//-----------------------------------------------------------------------------
	

//-----------------------------------------------------------------------------	
// Main function
int main(void)
{
	//USB Init
    odDebugInit();
    hardwareInit();
    usbInit();

	//Led init
	Led1Init();
	Led2Init();	
	
	Led1Off();	
	Led2Off();

    
	enable();
    
	while(1)
	{
        task_usb();
    }
    return 0;
}
//-----------------------------------------------------------------------------