//=============================================================================
// MPU ý 
//
// by nexp76(nexp76@naver.com)
// [system.h]
//=============================================================================

/*

*/
#ifndef	_SYSTEM_H_
#define	_SYSTEM_H_

#include <string.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <avr/wdt.h>

//-----------------------------------------------------------------------------
// UTILITY DEFINATION
#define Sbi(Port, Value)        	(Port |= Value)
#define Cbi(Port, Value)            (Port &= (~Value))
#define Tbi(Port, Value)            (Port ^= Value)

#define MSB(x)    					(((x) >> 8) & 0xFF)
#define LSB(x)    					((x) & 0xFF)
#define ABS(x)						((x<0)?x:x*=-1))

#define TRUE						1
#define FALSE						0

#define BIT0						0x01
#define BIT1						0x02
#define BIT2						0x04
#define BIT3						0x08
#define BIT4						0x10
#define BIT5						0x20
#define BIT6						0x40
#define BIT7						0x80
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
#define enable()					sei()
#define disable()					sei()

//-----------------------------------------------------------------------------
//LED Driver
#define LED1_BIT			BIT2
#define LED1_PORT			PORTB
#define Led1Init()			Sbi(DDRB, LED1_BIT)
#define Led1On()			Cbi(LED1_PORT, LED1_BIT)
#define Led1Off()			Sbi(LED1_PORT, LED1_BIT)
#define Led1Toggle()		Tbi(LED1_PORT, LED1_BIT)

#define LED2_BIT			BIT3
#define LED2_PORT			PORTB
#define Led2Init()			Sbi(DDRB, LED2_BIT)
#define Led2On()			Cbi(LED2_PORT, LED2_BIT)
#define Led2Off()			Sbi(LED2_PORT, LED2_BIT)
#define Led2Toggle()		Tbi(LED2_PORT, LED2_BIT)


#endif
